Subject: Re: linux-next: build failure after merge of the mm tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 7 Sep 2022 04:05:29 +1000

Hi Rob,

On Tue, 6 Sep 2022 05:05:32 -0700 Rob Clark <[email-masked]> wrote:
>
> It looks like, at least for now, I can replace `sc->gfp_mask &
> __GFP_ATOMIC` with `!(sc->gfp_mask & __GFP_DIRECT_RECLAIM)`.. I'm not
> sure if there would be any cases where we could otherwise sleep but
> __GFP_DIRECT_RECLAIM is not set?

The commit message for 9178e3dcb121 seems to say that would be correct.

-- 
Cheers,
Stephen Rothwell